Skip to main content

deleteTicket

Delete a ticket

deleteTicket(
input: DeleteTicketInput!
): DeleteTicketPayload

Arguments​

deleteTicket.input ● DeleteTicketInput! non-null input​

Parameters for DeleteTicket

Type​

DeleteTicketPayload object​

Autogenerated return type of DeleteTicket.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the tickets query first and use data.tickets.collection[].id as ticketId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateDeleteTicket($input: DeleteTicketInput!) {\n deleteTicket(input: $input) { clientMutationId deletedId errors { message } }\n}","variables":{"input":{"ticketId":"<ticket_id>","scopeId":"<scope_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute